commit:     5b486fad4015dc4479a9f413d08534828ae68ba8
Author:     Ole Reifschneider <tranquility <AT> gentoo <DOT> org>
AuthorDate: Sun Nov  1 21:58:24 2015 +0000
Commit:     Ole Reifschneider <tranquility <AT> gentoo <DOT> org>
CommitDate: Sun Nov  1 21:58:47 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5b486fad

app-editors/neovim: Bump version to 0.1.0

Package-Manager: portage-2.2.23

 app-editors/neovim/Manifest            |   1 +
 app-editors/neovim/files/sysinit.vim   | 105 +++++++++++++++++++++++++++++++++
 app-editors/neovim/neovim-0.1.0.ebuild |  78 ++++++++++++++++++++++++
 3 files changed, 184 insertions(+)

diff --git a/app-editors/neovim/Manifest b/app-editors/neovim/Manifest
index 1dbc37f..9c1e930 100644
--- a/app-editors/neovim/Manifest
+++ b/app-editors/neovim/Manifest
@@ -3,3 +3,4 @@ DIST neovim-0.0.0_pre20150727.tar.xz 4703336 SHA256 
da9bd3070ac60691be4e03394754
 DIST neovim-0.0.0_pre20150814.tar.xz 4718836 SHA256 
e7abdb0b3a44ec3c312b06aa825caca4520f1b857045c45c925e8005e2bf3ada SHA512 
638e6807929880c2648bd2d0efde509842423488272926bb3ae89a6681144b86fe5137ef313ae102fe8c2fa82819fe96e0dcc0a8d45e3ccaf18b207cf9c1aad1
 WHIRLPOOL 
f1ca40e0bef46da63c466e0fcc51bcf37c57f64009a680f6e51cb1cf3b0d481011dff33957b5da38dfe8d55978c368efe9d905d4f26a272e915470fab239dcff
 DIST neovim-0.0.0_pre20151022.tar.xz 4947140 SHA256 
8b090b130f6eb47021d872e8e33691cbd6169f7f0650389cfd0a3bfc194bafc5 SHA512 
262b37d1937982bd86f436ecc9c055fdbd650a227c7da77d203e26c9a885b32dc584b4b098f7f2bcea31e7fdb40b51c5a7d337ca4b794b0114c1115e642406ea
 WHIRLPOOL 
ca6e50a0225bfea9161c2b7432886377e6a9962fdde3f35f8a091fc26b35fb44d87d4a327b56b428dbcee9d91f66fe2365a33b158b92bf1b5cff08d326e91320
 DIST neovim-0.0.0_pre20151025.tar.xz 4947384 SHA256 
62b3bd93e0395c3f2d1f829a1e4e444ac081de1acc99114f6ceba7d61a7055a3 SHA512 
a0390097cc0cfae401779ddd229a6237fa63522caaa6515dfff025b506b83e2597a10711bae0a1a60770d2a244963aa56af58f734885ce73091a19865a420bf0
 WHIRLPOOL 
becfec39f4aa1a22f48991f17dbca003f38dfa6b085ed6043e34ed7e852217dddd3e4fce4d33873b0385e1b46754ae11db21ce47cbecd12822e5073d38a5fda1
+DIST neovim-0.1.0.tar.gz 7644673 SHA256 
2a14bbbde800b87f5d1b4e0c145cab9a8fc0513d6e7ad851d43cd3a4d821fd58 SHA512 
7a577ee1470e1e9b80368ae10c215465ddfdfdac541bf08d81d68a459a3f9485c8cb1feba1450facb64185021f0d4dfd3bd93c53b98ac1cecbbafbe5e6b1404c
 WHIRLPOOL 
7727371ff70c24be6d2fda9bc626a4fdebe4a03e237f7441a3e1cddb2ff7877d015c7ed1c19744e9e4ce8391d31fd8ac01f99782f1c634aa35783f35ddff7dc8

diff --git a/app-editors/neovim/files/sysinit.vim 
b/app-editors/neovim/files/sysinit.vim
new file mode 100644
index 0000000..635fc62
--- /dev/null
+++ b/app-editors/neovim/files/sysinit.vim
@@ -0,0 +1,105 @@
+" Default Gentoo configuration file for neovim
+" Based on the default vimrc shipped by Gentoo with app-editors/vim-core
+" $Id$
+
+" You can override any of these settings on a global basis via the
+" "/etc/vim/nvimrc.local" file, and on a per-user basis via "~/.nvimrc".
+" You may need to create these.
+
+" Neovim comes with sensible defaults, see:
+" https://github.com/neovim/neovim/issues/2676
+" Most of the general settings from Gentoo's vimrc have been dropped here.
+" We add only some necessary fixes and a few Gentoo specific settings.
+
+" {{{ Locale settings
+" If we have a BOM, always honour that rather than trying to guess.
+if &fileencodings !~? "ucs-bom"
+  set fileencodings^=ucs-bom
+endif
+
+" Always check for UTF-8 when trying to determine encodings.
+if &fileencodings !~? "utf-8"
+  " If we have to add this, the default encoding is not Unicode.
+  let g:added_fenc_utf8 = 1
+  set fileencodings+=utf-8
+endif
+" }}}
+
+" {{{ Fix &shell, see bug #101665.
+if "" == &shell
+  if executable("/bin/bash")
+    set shell=/bin/bash
+  elseif executable("/bin/sh")
+    set shell=/bin/sh
+  endif
+endif
+"}}}
+
+" {{{ Our default /bin/sh is bash, not ksh, so syntax highlighting for .sh
+" files should default to bash. See :help sh-syntax and bug #101819.
+if has("eval")
+  let is_bash=1
+endif
+" }}}
+
+" {{{ Autocommands
+if has("autocmd")
+
+augroup gentoo
+  au!
+
+  " Gentoo-specific settings for ebuilds.  These are the federally-mandated
+  " required tab settings.  See the following for more information:
+  " http://www.gentoo.org/proj/en/devrel/handbook/handbook.xml
+  " Note that the rules below are very minimal and don't cover everything.
+  " Better to emerge app-vim/gentoo-syntax, which provides full syntax,
+  " filetype and indent settings for all things Gentoo.
+  au BufRead,BufNewFile *.e{build,class} set ts=4 sw=4 noexpandtab
+
+  " In text files, limit the width of text to 78 characters, but be careful
+  " that we don't override the user's setting.
+  autocmd BufNewFile,BufRead *.txt
+        \ if &tw == 0 && ! exists("g:leave_my_textwidth_alone") |
+        \   setlocal textwidth=78 |
+        \ endif
+
+  " When editing a file, always jump to the last cursor position
+  autocmd BufReadPost *
+        \ if ! exists("g:leave_my_cursor_position_alone") |
+        \   if line("'\"") > 0 && line ("'\"") <= line("$") |
+        \     exe "normal g'\"" |
+        \   endif |
+        \ endif
+
+  " When editing a crontab file, set backupcopy to yes rather than auto. See
+  " :help crontab and bug #53437.
+  autocmd FileType crontab set backupcopy=yes
+
+  " If we previously detected that the default encoding is not UTF-8
+  " (g:added_fenc_utf8), assume that a file with only ASCII characters (or no
+  " characters at all) isn't a Unicode file, but is in the default encoding.
+  " Except of course if a byte-order mark is in effect.
+  autocmd BufReadPost *
+        \ if exists("g:added_fenc_utf8") && &fileencoding == "utf-8" &&
+        \   ! &bomb && search('[\x80-\xFF]','nw') == 0 && &modifiable |
+        \     set fileencoding= |
+        \ endif
+
+  " Strip trailing spaces on write
+  autocmd BufWritePre *.e{build,class}
+        \ if ! exists("g:leave_my_trailing_space_alone") |
+        \   :%s/\s\+$//e |
+        \ endif
+
+augroup END
+
+endif " has("autocmd")
+" }}}
+
+" {{{ nvimrc.local
+if filereadable("/etc/vim/nvimrc.local")
+  source /etc/vim/nvimrc.local
+endif
+" }}}
+
+" vim: set tw=80 sw=2 sts=2 et foldmethod=marker :

diff --git a/app-editors/neovim/neovim-0.1.0.ebuild 
b/app-editors/neovim/neovim-0.1.0.ebuild
new file mode 100644
index 0000000..06623da
--- /dev/null
+++ b/app-editors/neovim/neovim-0.1.0.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit cmake-utils eutils flag-o-matic
+
+DESCRIPTION="Vim-fork focused on extensibility and agility."
+HOMEPAGE="https://neovim.io";
+if [[ ${PV} == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="git://github.com/neovim/neovim.git"
+else
+       SRC_URI="https://github.com/neovim/neovim/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="Apache-2.0 vim"
+SLOT="0"
+IUSE="+nvimpager perl python +jemalloc"
+
+CDEPEND="dev-lang/luajit:2
+       >=dev-libs/libtermkey-0.17
+       >=dev-libs/libuv-1.2.0
+       >=dev-libs/msgpack-0.6.0_pre20150220
+       >=dev-libs/unibilium-1.1.1
+       dev-libs/libvterm
+       dev-lua/lpeg
+       dev-lua/messagepack
+       jemalloc? ( dev-libs/jemalloc )
+"
+DEPEND="${CDEPEND}
+       virtual/libiconv
+       virtual/libintl"
+RDEPEND="${CDEPEND}
+       perl? ( dev-lang/perl )
+       python? ( dev-python/neovim-python-client )"
+
+CMAKE_BUILD_TYPE=RelWithDebInfo
+
+src_prepare() {
+       # use our system vim dir
+       sed -e '/^# define SYS_VIMRC_FILE/s|$VIM|'"${EPREFIX}"'/etc/vim|' \
+               -i src/nvim/os/unix_defs.h || die
+
+       # add eclass to bash filetypes
+       sed -e 's|*.ebuild|*.ebuild,*.eclass|' -i runtime/filetype.vim || die
+
+       # make less.sh macro actually work with neovim
+       sed -e 's|vim |nvim |g' -i runtime/macros/less.sh || die
+
+       cmake-utils_src_prepare
+}
+
+src_configure() {
+       export USE_BUNDLED_DEPS=OFF
+       append-cflags "-Wno-error"
+       local mycmakeargs=(
+               $(cmake-utils_use_enable jemalloc JEMALLOC)
+               -DLIBUNIBILIUM_USE_STATIC=OFF
+               -DLIBTERMKEY_USE_STATIC=OFF
+               -DLIBVTERM_USE_STATIC=OFF
+               )
+       cmake-utils_src_configure
+}
+
+src_install() {
+       cmake-utils_src_install
+
+       # install a default configuration file
+       insinto /etc/vim
+       doins "${FILESDIR}"/sysinit.vim
+
+       # conditionally install a symlink for nvimpager
+       if use nvimpager; then
+               dosym /usr/share/nvim/runtime/macros/less.sh /usr/bin/nvimpager
+       fi
+}

Reply via email to